#include <iostream>
#include <cstdio>
#include <string>
#include <fstream>
#include "myio.h"

using namespace std;

int gargc;
char **gargv;

void myio_init(int argc,char **argv){
 gargc=argc;
 gargv=argv;
 for(int i=0;i<gargc;++i){
  fprintf(stderr,gargv[i]);
  fprintf(stderr," ");
 }
 fprintf(stderr,"\n");
 return;
}

void myio_close(){
 gargc=0;
 gargv=0;
 return;
}

string get_s(const string &s){
 string s0=s+"=",ss=" ",s1;
 for(int i=0;i<gargc;++i){
  s1=gargv[i];
  if(s1.substr(0,s0.size())==s0){
   ss=s1.substr(s0.size());
   break;
  }
 }
 return ss;
}

string get_s(const string &filename,const string &s){
 string s0=s+"=",ss=" ";
 ifstream in;
 if(!open_file(in,filename)){
  cout<<"cannot open file "<<filename<<endl;
 }
 else{
  string line;
  while(getline(in,line)){
   size_t pos1=line.find(s0),pos2;
   while(pos1!=string::npos){
	if(line[pos1+s0.size()]=='\"'){
	 pos2=line.find("\"",pos1+s0.size()+1);
	 ss=line.substr(pos1+s0.size()+1,pos2-pos1-s0.size()-1);
	}
	else{
     pos2=line.find(" ",pos1);
	 ss=line.substr(pos1+s0.size(),pos2-pos1-s0.size());
	}
	pos1=line.find(s0,pos2);
   }
  }
 }
 close_file(in);
 return ss;
}
